# 17. الاستعلام: الحصول على "SoilDatasets"

احصل على كل "مجموعات بيانات التربة" للحقل المحدد. يمكن جلب المجموعات باستخدام استعلامات GraphQL عامة مثل `getFarms` و `getFields` من "الحقل" المرتبط.&#x20;

{% hint style="warning" %}
يجب تحميل "مجموعة بيانات التربة" مسبقًا.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #النمط "<نوع_العملية> <YYYY-mm-DD>"
        operationId #إذا وُجد
        number #إجمالي عدد المعالم الجغرافية
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #تفاصيل كاملة لكل سمة
          name #رابط لإحصاءات >> السمة
          transliteratedName
          fullName #إن وُجد
          unit #إن وُجد
        }

        createdDate #تاريخ ووقت إنشاء الكيان في GeoPard
        updatedDate #تاريخ ووقت آخر تحديث
        operationType
        operationId
        operationFileDate #تاريخ ووقت إنشاء الملف
        operationStartDate #بداية العملية
        
        statistics { #توزيع الإحصائيات لكل سمة تربة
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        خرائط_جغرافية {
          رابط
          الاسم_القصير
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        الاسم  
        operationId #إذا وُجد 
        number #إجمالي عدد المعالم الجغرافية 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #رابط لإحصاءات >> السمة
          transliteratedName
          fullName #إن وُجد
          unit #إن وُجد
        }
      
        createdDate #تاريخ ووقت الإنشاء في GeoPard
        updatedDate #تاريخ ووقت آخر تحديث في GeoPard
        operationFileDate #تاريخ ووقت إنشاء الملف (إن وُجد)
        operationStartDate #بداية العملية (إن وُجد)
      
        statistics { #التوزيع الإحصائي لكل سمة تربة
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #تمثيل بصري
          رابط
          الاسم_القصير
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/17.-alastalam-alhswl-ala-soildatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
